<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.rhzf.wtfy.mapper.RhzfWtfyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rhzfWtfyResultMap" type="org.springblade.modules.rhzf.wtfy.pojo.entity.RhzfWtfyEntity">
        <result column="fw_id" property="fwId"/>
        <result column="dzbm" property="dzbm"/>
        <result column="wtfy" property="wtfy"/>
        <result column="wtfy_fj" property="wtfyFj"/>
    </resultMap>

    <select id="selectRhzfWtfyPage" resultMap="rhzfWtfyResultMap">
        select * from rhzf_wtfy where is_deleted = 0
    </select>

    <select id="exportRhzfWtfy" resultType="org.springblade.modules.rhzf.wtfy.excel.RhzfWtfyExcel">
        SELECT * FROM rhzf_wtfy ${ew.customSqlSegment}
    </select>

    <select id="getByDzbm" resultType="org.springblade.modules.rhzf.wtfy.pojo.entity.RhzfWtfyEntity">
        select * from jdrh.rhzf_wtfy where is_deleted = 0 AND dzbm = #{params.dzbm} ORDER BY update_time DESC
    </select>
</mapper>
